/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { Description } from "./Description";
import { markType } from "./type";
/**
 * @hidden
 */
export let WebFilteringExpressionDescription = /*@__PURE__*/ (() => {
    class WebFilteringExpressionDescription extends Description {
        constructor() {
            super();
            this.n = null;
            this.f = null;
            this.k = null;
            this.i = false;
        }
        get_type() {
            return "WebFilteringExpression";
        }
        get type() {
            return this.get_type();
        }
        get fieldName() {
            return this.n;
        }
        set fieldName(a) {
            this.n = a;
            this.e("FieldName");
        }
        get condition() {
            return this.f;
        }
        set condition(a) {
            this.f = a;
            this.e("Condition");
        }
        get searchVal() {
            return this.k;
        }
        set searchVal(a) {
            this.k = a;
            this.e("SearchVal");
        }
        get ignoreCase() {
            return this.i;
        }
        set ignoreCase(a) {
            this.i = a;
            this.e("IgnoreCase");
        }
    }
    WebFilteringExpressionDescription.$t = /*@__PURE__*/ markType(WebFilteringExpressionDescription, 'WebFilteringExpressionDescription', Description.$);
    WebFilteringExpressionDescription.__marshalByValue = true;
    WebFilteringExpressionDescription.__marshalByValueAlias = "FilteringExpression";
    return WebFilteringExpressionDescription;
})();
